Bug 1449748 - retirement runs in any zone as of 5.7.1
Summary: retirement runs in any zone as of 5.7.1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Control
Version: 5.7.0
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.8.0
Assignee: Tina Fitzgerald
QA Contact: Alex Newman
URL:
Whiteboard: retirement:zone
Depends On: 1447625
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-10 15:04 UTC by Satoe Imaishi
Modified: 2020-08-13 09:10 UTC (History)
9 users (show)

Fixed In Version: 5.8.0.15
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1447625
Environment:
Last Closed: 2017-05-31 15:11:24 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-05-10 15:21:07 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/86c23029db18065a2ea5b27d00aac60fc170c518

commit 86c23029db18065a2ea5b27d00aac60fc170c518
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Wed May 10 10:23:00 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed May 10 11:18:39 2017 -0400

    Merge pull request #18 from tinaafitz/add_zone_to_qoptions
    
    Add zone to q_options in call_automate.
    (cherry picked from commit 0495c11579d5751f91c6e6791c65cdd1db09ad88)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1449748

 lib/miq_automation_engine/engine/miq_ae_event.rb   |  1 +
 .../lib/miq_automation_engine/miq_ae_event_spec.rb | 55 +++++++++++++++++++---
 2 files changed, 49 insertions(+), 7 deletions(-)

Comment 3 CFME Bot 2017-05-10 15:21:14 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/53299ce3894fa64aaa8175fef4841149fc034d6d

commit 53299ce3894fa64aaa8175fef4841149fc034d6d
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Wed May 10 10:42:12 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed May 10 11:20:10 2017 -0400

    Merge pull request #15026 from tinaafitz/add_zone_to_retirement
    
    Change retire_now to pass zone_name to raise_retirement_event.
    (cherry picked from commit 9e5df30604b9c0fb9fdbb91952a4d70f3fe7abf4)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1449748

 app/models/mixins/retirement_mixin.rb                        | 10 +++++++++-
 .../models/orchestration_stack/retirement_management_spec.rb |  7 ++++---
 spec/models/service/retirement_management_spec.rb            |  6 +++---
 spec/models/vm/retirement_management_spec.rb                 | 12 ++++++++----
 4 files changed, 24 insertions(+), 11 deletions(-)

Comment 5 errata-xmlrpc 2017-05-31 15:11:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.